/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENECURRENCYDESC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenecurrencydesc.findAll", query = "SELECT t FROM Tgenecurrencydesc t"),
    @NamedQuery(name = "Tgenecurrencydesc.findByCurrencycode", query = "SELECT t FROM Tgenecurrencydesc t WHERE t.tgenecurrencydescPK.currencycode = :currencycode"),
    @NamedQuery(name = "Tgenecurrencydesc.findByLanguagecode", query = "SELECT t FROM Tgenecurrencydesc t WHERE t.tgenecurrencydescPK.languagecode = :languagecode"),
    @NamedQuery(name = "Tgenecurrencydesc.findByRecordversion", query = "SELECT t FROM Tgenecurrencydesc t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenecurrencydesc.findByDescription", query = "SELECT t FROM Tgenecurrencydesc t WHERE t.description = :description")})
public class Tgenecurrencydesc implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgenecurrencydescPK tgenecurrencydescPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "DESCRIPTION")
    private String description;
    @JoinColumn(name = "CURRENCYCODE", referencedColumnName = "CURRENCYCODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenecurrency tgenecurrency;
    @JoinColumn(name = "LANGUAGECODE", referencedColumnName = "LANGUAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenelanguage tgenelanguage;

    public Tgenecurrencydesc() {
    }

    public Tgenecurrencydesc(TgenecurrencydescPK tgenecurrencydescPK) {
        this.tgenecurrencydescPK = tgenecurrencydescPK;
    }

    public Tgenecurrencydesc(String currencycode, String languagecode) {
        this.tgenecurrencydescPK = new TgenecurrencydescPK(currencycode, languagecode);
    }

    public TgenecurrencydescPK getTgenecurrencydescPK() {
        return tgenecurrencydescPK;
    }

    public void setTgenecurrencydescPK(TgenecurrencydescPK tgenecurrencydescPK) {
        this.tgenecurrencydescPK = tgenecurrencydescPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Tgenecurrency getTgenecurrency() {
        return tgenecurrency;
    }

    public void setTgenecurrency(Tgenecurrency tgenecurrency) {
        this.tgenecurrency = tgenecurrency;
    }

    public Tgenelanguage getTgenelanguage() {
        return tgenelanguage;
    }

    public void setTgenelanguage(Tgenelanguage tgenelanguage) {
        this.tgenelanguage = tgenelanguage;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgenecurrencydescPK != null ? tgenecurrencydescPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenecurrencydesc)) {
            return false;
        }
        Tgenecurrencydesc other = (Tgenecurrencydesc) object;
        if ((this.tgenecurrencydescPK == null && other.tgenecurrencydescPK != null) || (this.tgenecurrencydescPK != null && !this.tgenecurrencydescPK.equals(other.tgenecurrencydescPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenecurrencydesc[ tgenecurrencydescPK=" + tgenecurrencydescPK + " ]";
    }
    
}
